from . import impl_null
from . import impl_op_dev


def build(impl_type, config={}):
  if impl_type == 'null':
    return impl_null.Reporter(**config)

  if impl_type == 'op_dev':
    return impl_op_dev.Reporter(**config)

  raise Exception(f'Type not supported: {impl_type}')
